TIX-EXECDIFF(8)

NAME
tix-execdiff - compare executable permissions between two trees

SYNOPSIS
tix-execdiff old new

DESCRIPTION
tix-execdiff recursively finds the files with different executable permissions between the old and new directory trees. tix-execdiff writes a shell script that transforms the permissions of old tree into that of the new tree, which can be applied using tix-execpatch(8).

Files are considered executable if the current user has executable permission and directories are omitted from the output.

Additions of executable permissions are written shell single quoted as:

chmod +x -- 'path'

Removals of executable permissions are written shell single quoted as:

chmod -x -- 'path'

EXIT STATUS
tix-execdiff will exit 0 on success and non-zero otherwise.

SEE ALSO
diff(1), patch(1), port(5), tix-execpatch(8), tix-rmdiff(8), tix-rmpatch(8)

HISTORY
tix-execdiff originally appeared in Sortix 0.8.